Name:           qhttpengine
Version:        0.1.0
Release:        4%{?dist}
Summary:        HTTP server for Qt applications

License:        MIT
URL:            https://github.com/nitroshare/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  doxygen

%description
Simple set of classes for developing HTTP server applications in Qt.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake%{?_isa}

%description devel
%{summary}.

%package doc
Summary:        API documentation files for %{name}
BuildArch:      noarch

%description doc
%{summary}.


%prep
%autosetup
sed -i 's,OUTPUT_DIRECTORY.*=,\0 '$(pwd)',' doc/Doxyfile.in

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake -DBUILD_TESTS=ON -DBUILD_DOC=ON ..
popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}/src

%check
pushd %{_target_platform}
ctest %{?_smp_mflags} -VV
popd


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license LICENSE.txt
%doc README.md
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/*/
%{_libdir}/cmake/*/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%license LICENSE.txt
%doc examples/
%doc html/


%changelog
* Mon Feb 27 2017 Raphael Groner <projects.rg@smart.ms> - 0.1.0-4
- [epel7] fix for versioned pkgdocdir, rhbz#1403697

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 09 2016 Raphael Groner <projects.rg@smart.ms> - 0.1.0-2
- rebuilt

* Sun Jul 10 2016 Raphael Groner <projects.rg@smart.ms> - 0.1.0-1
- initial
